
// TODO: figure out how to preserve NBT data

ServerEvents.recipes(event => {
	// sword
	event.shapeless(
		Item.of('allthemodium:alloy_sword', 1), // output
		[ // inputs
			'allthemodium:unobtainium_allthemodium_alloy_ingot',
			'allthemodium:unobtainium_vibranium_alloy_ingot',
			'allthemodium:vibranium_allthemodium_alloy_ingot',
			'allthemodium:piglich_heart',
			'allthemodium:unobtainium_sword'
		]
	)

	// pickaxe
	event.shapeless(
		Item.of('allthemodium:alloy_pick', 1), // output
		[ // inputs
			'allthemodium:unobtainium_allthemodium_alloy_ingot',
			'allthemodium:unobtainium_vibranium_alloy_ingot',
			'allthemodium:vibranium_allthemodium_alloy_ingot',
			'allthemodium:piglich_heart',
			'allthemodium:unobtainium_pickaxe'
		]
	)

	// axe
	event.shapeless(
		Item.of('allthemodium:alloy_axe', 1), // output
		[ // inputs
			'allthemodium:unobtainium_allthemodium_alloy_ingot',
			'allthemodium:unobtainium_vibranium_alloy_ingot',
			'allthemodium:vibranium_allthemodium_alloy_ingot',
			'allthemodium:piglich_heart',
			'allthemodium:unobtainium_axe'
		]
	)

	// shovel
	event.shapeless(
		Item.of('allthemodium:alloy_shovel', 1), // output
		[ // inputs
			'allthemodium:unobtainium_allthemodium_alloy_ingot',
			'allthemodium:unobtainium_vibranium_alloy_ingot',
			'allthemodium:vibranium_allthemodium_alloy_ingot',
			'allthemodium:piglich_heart',
			'allthemodium:unobtainium_shovel'
		]
	)

	// paxel
	event.shapeless(
		Item.of('allthemodium:alloy_paxel', 1), // output
		[ // inputs
			'allthemodium:alloy_pick',
			'allthemodium:alloy_axe',
			'allthemodium:alloy_shovel',
			'allthemodium:piglich_heart'
		]
	)
});
